.breadcrumb {
	padding-left: 0;
}

a {
	transition: color 0.3s;
}

p:last-child {
	margin-bottom: 0;
}

* {
	scroll-behavior: smooth;
}

@media(width <= 1024px) {
	header, .header {
		background: white !important;
	}
}

/*Приостановленные рейсы*/
.stop_route {
	opacity: 0.3;
}

.stop_route * {
	pointer-events: none;
}

.jet-listing-grid__item {
	position: relative;
}

.jet-listing-grid__item:has(.stop_route):before {
	content: 'Отменён:(';
	display: block;
	font-size: 42px;
	font-weight: 300;
	line-height: 57.37px;
	letter-spacing: 0.15em;
	text-transform: uppercase;
	color: white;
	background: var(--e-global-color-text);
	position: absolute;
	top: 120px;
	left: 50%;
	transform: translatex(-50%);
	z-index: 90;
	border-radius: 0;
	width: max-content;
    height: auto;
	padding: 10px 20px;
}

@media(width <= 767px) {
.jet-listing-grid__item:has(.stop_route):before {
	font-size: 36px;
}
}
/*Конец Приостановленные рейсы*/

.elementor-nav-menu--dropdown .elementor-item.elementor-item-active,
.elementor-nav-menu--dropdown .elementor-item.highlighted,
.elementor-nav-menu--dropdown .elementor-item:focus,
.elementor-nav-menu--dropdown .elementor-item:hover,
.elementor-sub-item.elementor-item-active,
.elementor-sub-item.highlighted,
.elementor-sub-item:focus,
.elementor-sub-item:hover {
  background-color: transparent
}

.accord-style h3 {
	font-size: 20px;
}

.accord-style .jet-toggle {
	border: none;
	box-shadow: 0px 8px 35px 0px rgb(0 0 0 / 5%);
	margin-bottom: 30px;
}

.accord-style  .jet-toggle__content-inner {
	padding: 10px 20px;
}

.elementor-widget-text-editor ul,
.elementor-widget-text-editor ol,
.seo ul,
.seo ol,
.elementor-widget-theme-post-content ul,
.elementor-widget-theme-post-content ol,
.elementor-widget-container>.jet-tabs>.jet-tabs__content-wrapper ul,
.elementor-widget-container>.jet-tabs>.jet-tabs__content-wrapper ol,
.elementor-widget-jet-unfold ul,
.elementor-widget-jet-unfold ol {
	margin-bottom: 15px;
	margin-top: 15px;
}

:focus {
	outline-style: none;
	outline-width: 0px !important;
	outline-color: none !important;
}

.ms {
	margin-top: 80px;
}

.mb p {
	margin-bottom: 0;
}

.akcent {
	color: var(--e-global-color-accent);
}

.dialog-close-button i {
	-webkit-transition: opacity .25s, -webkit-transform .25s;
	transition: opacity .25s, -webkit-transform .25s;
	-o-transition: transform .25s, opacity .25s;
	transition: transform .25s, opacity .25s;
	transition: transform .25s, opacity .25s, -webkit-transform .25s;
	-webkit-transition: 0.5s;
	-o-transition: 0.5s;
	transition: 0.5s;
}

.dialog-close-button i:hover {
	-webkit-transform: rotate(90deg);
	-ms-transform: rotate(90deg);
	transform: rotate(90deg);
}

.hide {
	display: none;
}



/*фильтры по дате*/


/*Скрыть часть элементов фильтра на фронте*/

.days_start,
.button-search,
.home #schedule,
.date-range .jet-date-range__to {
	display: none;
}

.jet-filter-items-search__input {
	color: #000000 !important;
	font-size: 20px !important;
	font-weight: 700 !important;
}

/* стрелки поменять местами направления */

/* .toggle-directions a.elementor-button {
	background: transparent;
	position: relative;
	padding: 0;
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-align: center;
	-ms-flex-align: center;
	align-items: center;
	-webkit-box-pack: center;
	-ms-flex-pack: center;
	justify-content: center;
	-webkit-box-orient: vertical;
	-webkit-box-direction: normal;
	-ms-flex-direction: column;
	flex-direction: column;
	-webkit-transition: all 0.4s ease-in-out;
	-o-transition: all 0.4s ease-in-out;
	transition: all 0.4s ease-in-out;
}

.toggle-directions a.elementor-button:hover,
.toggle-directions a.elementor-button:focus,
.toggle-directions a.elementor-button:active {
	background: transparent;
}

.toggle-directions a.elementor-button:before,
.toggle-directions a.elementor-button:after {
	font-family: 'icomoon' !important;
	font-size: 12px;
	color: var(--e-global-color-secondary);
	border-color: var(--e-global-color-accent);
}

.toggle-directions a.elementor-button:before,
.toggle-directions a.elementor-button:after {
	-webkit-transition: all 0.2s ease-in-out;
	-o-transition: all 0.2s ease-in-out;
	transition: all 0.2s ease-in-out;
}

.toggle-directions .elementor-widget-container .elementor-button-wrapper a.elementor-button:before,
.toggle-directions .elementor-widget-container .elementor-button-wrapper a.elementor-button:after {
	color: var(--e-global-color-secondary);
	font-size: 12px;
}

.toggle-directions .elementor-widget-container .elementor-button-wrapper a.elementor-button:hover:before,
.toggle-directions .elementor-widget-container .elementor-button-wrapper a.elementor-button:hover:after {
	color: var(--e-global-color-secondary) !important;
}

.toggle-directions a.elementor-button:before {
	content: "\e902";
	font-size: 12px;
}

.toggle-directions a.elementor-button:after {
	content: "\e901";
	font-size: 12px;
}

.toggle-directions_alt a.elementor-button:before,
.toggle-directions_alt a.elementor-button:after {
	-webkit-transform: rotate(180deg);
	-ms-transform: rotate(180deg);
	transform: rotate(180deg);
}
 */

/*Не удалять, нужна для раскрытия доп инфы в листинге*/

body:not(.elementor-editor-active) .route-details:not(.route-details_visible)>.elementor-container {
	display: none;
}



/*Форма календарь*/


.ui-datepicker-calendar tbody>tr>td>a {
    color: var(--e-global-color-accent);
	font-weight: 500;
}

.ui-datepicker-calendar tbody>tr>td>a:hover {
    background: var(--e-global-color-primary);
}

.ui-datepicker-calendar tbody>tr>td.ui-datepicker-today>span {
    background: var(--e-global-color-primary);
    color: var(--e-global-color-accent);
	font-weight: 500;
}


/* конец кнопки звонка */
.e--pointer-underline .elementor-item:after {
	width: 35% !important;
	bottom: -5px !important;
	left: 40px !important;
}

/* .grecaptcha-badge {
	visibility: hidden;
} */

.menu-color-blue i,
.menu-color-blue svg {
	color: var(--e-global-color-accent);
	fill: var(--e-global-color-accent);
}

/* .search-button i,
.btn_arrow i {
	padding: 8px;
	background: #4D73F0;
	border-radius: 30px;
	box-shadow: 0px 2px 4px 0px #0000001A;
}

.btn_arrow i {
	padding: 12px 8px;
} */

.akcent-b {
	color: var(--e-global-color-accent);
	font-weight: 500;
}

.margin-ol ol li {
	margin-bottom: 10px;
}

.date-range input::placeholder {
	color: var(--e-global-color-5949637) !important;
}


/*делаем иконку в списке с иконками справа (первый класс кастомный, задается род.элементу)*/

.icoon-list-reverse .elementor-icon-list-items li {
	display: flex;
	flex-direction: row-reverse;
	justify-content: start !important;
}

.icoon-list-reverse i {
	margin-left: 7px;
}


/*счетчик просмотров статьи стилизация*/

.post-views {
	display: flex;
	flex-direction: row-reverse;
	align-items: center;
	font-size: 13px;
	font-weight: 300;
	line-height: 15px;
	color: #898FA1;
}

.post-views span::before {
	font-size: 10px;
	margin-left: 7px;
}


/*листинг расписания стилизация*/

.listing-time {
	font-size: 20px;
	font-weight: 500;
	line-height: 24px;
	color: var(--e-global-color-text);
}

.listing-city {
	font-size: 15px;
	font-weight: 400;
	line-height: 15px;
	color: var(--e-global-color-primary);
}

.listing-place {
	font-size: 13px;
	font-weight: 300;
	line-height: 15px;
	color: #8E99BF;
}

.toggle-details a {
	background-image: none !important;
	border: none !important;
}

.toggle-details span {
	font-size: 15px;
	font-weight: 400;
	line-height: 18px;
	letter-spacing: 0.1em;
	color: var(--e-global-color-accent);
}

.listing-dop-info {
	font-size: 13px;
	font-weight: 300;
	line-height: 15px;
}

.listing-icoon-seats i,
.listing-icoon-climat i,
.listing-icoon-tv i,
.listing-icoon-wi-fi i {
	padding: 11px;
	border-radius: 10px;
	color: var(--e-global-color-secondary);
}

.listing-icoon-seats i {
	background-color: #FF8888;
}

.listing-icoon-climat i {
	background-color: #8EE9AD;
}

.listing-icoon-tv i {
	background-color: #E59FDE;
}

.listing-icoon-wi-fi i {
	background-color: #FFDF8C;
	width: 42px !important;
	display: flex;
	justify-content: center;
}

.dop_text-icoon {
	font-size: 13px;
	font-weight: 400;
	line-height: 15px;
	/*text-align: center;*/
}

.card-wrap .jet-listing-dynamic-field__content {
	display: flex;
	align-items: normal;
}

.card-wrap .jet-hor-timeline-list--top {
	align-items: start;
}

.card-wrap .jet-hor-timeline-list--middle {
	display: none;
}

.card-wrap .jet-hor-timeline-item:first-child {
	padding-left: 0px !important;
}


/*стилизация фильтров сортировки*/

.sort-filter-style .jet-sorting-select {
	text-align: center;
}


/*убираем некрасивую стрелочку в селектах*/

select {
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
	-o-appearance: none;
}


/*стилизация кнопки в виджете unfold*/

.jet-unfold__button {
	background: transparent !important;
	box-shadow: none !important;
	color: var(--e-global-color-accent) !important;
	letter-spacing: 0.1em !important;
	display: flex;
	flex-direction: row-reverse;
}

.jet-unfold__button i {
	margin-left: 10px;
}

.parent-info {
    opacity: 0.3;
}

.parent-info:not(:has(.from-parent)) {
	display: none;
}

/*стилизация листинга направлений*/

.listing-directions-style .elementor-widget-wrap {
	display: flex;
	justify-content: space-between;
	align-items: center;
}

.listing-directions-style .jet-listing-dynamic-field__content {
	font-size: 18px;
	font-weight: 400;
	line-height: 21px;
	text-align: left;
}

.listing-directions-style .elementor-heading-title {
	font-size: 14px;
	font-weight: 400;
	line-height: 17px;
	text-align: left;
}


/*одиночная направлений цена от и до шорткод*/

.direction-shortcode {
    font-size: 2.5rem;
    font-weight: 600;
	line-height: 24px;
	text-align: center;
	color: var(--e-global-color-accent);
}

/*В листинге расписания планшет*/

@media screen and (min-width:768px) and (max-width:1024px) {
	.watch-map-flex {
		justify-content: flex-end;
	}
}

@media (min-width: 767px) {
	.hide-time-in-trip {
		display: none;
	}
}

@media (max-width: 767px) {
	.listing-time-in-trip {
		text-align: left !important;
	}
	body,
	html {
		overflow-x: hidden;
	}
	.listing-dop-info {
		text-align: center;
	}
	.toggle-details {
		margin: 0 auto;
	}
	
	.jet-hor-timeline-item {
    flex: 0 0 calc(100%/2) !important;
	}
}

@media screen and (max-width:1024px) {
	.breadcrumb {
		text-align: center;
	}
}


/*Полоса прокрутки*/

::-webkit-scrollbar {
	width: 10px;
	height: 3px;
}

::-webkit-scrollbar-button {
	height: 0;
}

::-webkit-scrollbar-track {
	background-color: #8E99BF;
}

::-webkit-scrollbar-track-piece {
	background: #8E99BF;
	border-radius: 25px;
}

::-webkit-scrollbar-thumb {
	height: 50px;
	background: var(--e-global-color-accent);
	-webkit-box-shadow: -1px 2px 2px rgba(24, 55, 91, 0.1), inset 0px -2px 1px rgba(39, 81, 126, 0.12), inset 0px 0px 4px rgba(46, 68, 87, 0.02);
	box-shadow: -1px 2px 2px rgba(24, 55, 91, 0.1), inset 0px -2px 1px rgba(39, 81, 126, 0.12), inset 0px 0px 4px rgba(46, 68, 87, 0.02);
	-webkit-backdrop-filter: blur(28px);
	backdrop-filter: blur(28px);
	border-radius: 10px;
}

::-webkit-scrollbar-corner {
	background-color: var(--e-global-color-primary);
}


/*Спинеры в форме Elementor*/

.e-form__buttons .elementor-button .elementor-form-spinner {
	display: none;
}

.breadcrumb a {
	border-bottom: 1px solid;
}

.breadcrumb li::after {
	color: rgba(157, 163, 181, 1);
	margin-right: 8px !important;
}

.title-with-subtitle h2 {
    margin: 0;
}

.title-with-subtitle .elementor-icon-box-content {
    display: flex;
    gap: 5px;
    flex-direction: column-reverse !important;
}

@media(width <= 767px) {
	.title-with-subtitle .elementor-icon-box-content {
		align-items: center;
	}
}

.title-with-subtitle.centered .elementor-icon-box-content {
    align-items: center;
}

.title-with-subtitle .elementor-icon-box-description {
    display: block;
    background: rgba(235, 237, 240, 1);
    border-radius: 50px;
    padding: 10px 20px;
    width: fit-content;
}

#bus {
	transition: transform 0.5s ease-out; 
}

.jet-filter-items-dropdown__label, .jet-date-range__control.hasDatepicker {  
    background-color: transparent !important;
	padding: 10px !important;
	font-size: 36px !important;
	font-weight: 700 !important;
	line-height: 48px !important;
}

/*стили карточки рейса*/
.route-icons .elementor-widget-icon {
    height: 54px;
}

.listing-time-in-trip {
	font-size: 15px;
	font-weight: 700;
	line-height: 16px;
}

.info-title {
    color: rgba(163, 171, 178, 1) !important;
    font-weight: 500 !important;
	margin-right: 8px;
}

.listing-info .elementor-shortcode, .listing-info .jet-listing-dynamic-field__content {
	display: flex;
    justify-content: space-between;
}

.price-title {
	color: rgba(157, 163, 181, 1);
	font-size: 15px !important;
	font-weight: 500 !important;
	line-height: 16px !important;
}

.booking-listing-btn i {
	display: block;
	transition: all .5s;
	font-size: 32px;
}

.booking-listing-btn .elementor-button-content-wrapper, .revers-reis .elementor-button-content-wrapper {
    align-items: center;
}

.booking-listing-btn:hover i {
	transform: rotate(45deg);
}

.revers-reis i {
	font-size: 28px;
}

.icon.icon-reverse:before {
	background-image: -moz-linear-gradient(180deg, rgba(157, 163, 181, 1) 0%, rgba(157, 163, 181, 1) 50%, rgba(0, 0, 0, 1) 50%);
  	background-image: -webkit-linear-gradient(180deg, rgba(157, 163, 181, 1) 0%, rgba(157, 163, 181, 1) 50%, rgba(0, 0, 0, 1) 50%);
    background-image: linear-gradient(180deg, rgba(157, 163, 181, 1) 0%, rgba(157, 163, 181, 1) 50%, rgba(0, 0, 0, 1) 50%);
    -webkit-background-clip: text;
    -moz-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
	display: inline;
}

.ytp-title-link {
    display: none !important; 
}

.listing-arrow-icon .elementor-icon-wrapper {
	height: 33px;
}

@media(width <= 767px) {
	.listing-arrow-icon .elementor-icon-wrapper {
		height: 24px;
	}
}

.listing-arrow-icon i {
    display: inline-block;
    transition: all .5s;
}

.label-listing-cont:hover .listing-arrow-icon i {
    transform: rotate(45deg);
}

/*Фильтры*/
.jet-filter-items-dropdown__body {
    border: none;
    border-radius: 0 0 16px 16px !important;
    -webkit-box-shadow: 0px 10px 25px 0px rgba(157,163,181,1);
	-moz-box-shadow: 0px 10px 25px 0px rgba(157,163,181,1);
	box-shadow: 0px 10px 25px 0px rgba(157,163,181,1);
	padding: 10px;
}

.jet-filter-items-dropdown__label:after {
	display: none;
}

.colorfull-i i {
	font-size: 25px;
}

.colorfull-i  .icon-tg {
	color: #39B4F9 !important;
}

.colorfull-i  .icon-wa {
	color: #63E426 !important;
}

.reis-cat-list {
	display: flex;
	flex-direction: row;
	list-style-type: none;
	margin: 0;
	padding: 0;
	gap: 20px;
	justify-content: flex-end;
	flex-wrap: wrap;
}

@media(width <= 767px) {
	.reis-cat-list {
		justify-content: flex-start;
	}
}

.reis-cat-list a {
	font-size: 18px;
	font-weight: 500;
	line-height: 24.59px;
	border-bottom: 1px solid;
}

.reis-cat-list a:hover {
	opacity: 0.7;
}

/*тултипы*/
/* Tooltip CSS */
.info-icon {
	cursor: pointer;
}
[data-tooltip]:after {
  position: absolute;
  left: 50%;
  transform: translate(-50%);
  -webkit-font-smoothing: antialiased;
  margin: 0 auto;
  opacity: 0;
  visibility: hidden;
  z-index: 9;
  transition: 0.3s ease-in-out;
}

[data-tooltip]:after {
  content: attr(data-tooltip);
  white-space: nowrap;
  background: #FFFFFF;
  padding: 0.5rem 1rem 0.5rem 1rem;
  font-size: 15px;
  font-weight: 700;
  line-height: 16px;
  box-sizing: border-box;
  bottom: calc(100% + 11px);
  color: black;
  border-radius: 32px;
  z-index: 9;
  box-shadow: 0 8px 25px 0 rgba(0, 0, 0, 0.05);
}

[data-tooltip]:hover:after {
  opacity: 1;
  visibility: visible;
  transition: 0.3s ease-in-out;
}

.form-bron .jet-form-builder-repeater__row {
    background-color: #DCE1EE;
	padding: 15px !important;
    border-radius: 16px;
}

.form-bron .jet-form-builder-repeater__row input, .form-bron .jet-form-builder-repeater__row select {
    background-color: white !important;
}

.form-bron .jet-form-builder-repeater__row:not(:first-child) {
    margin-top: 20px;
}

/*Нумерация пассажиров*/
.jet-form-builder-repeater__row::before {
    content: attr(data-display-index);
    position: relative;
    display: flex;
		width: 30px;
		height: 30px;;
		background-color: white;
		border-radius: 50%;
		aspect-ratio: 1 / 1;
		justify-content: center;
		align-items: center;
    left: 0;
    top: 0;
    padding: 10px;
    font-size: 18px;
		line-height: 18px;
    color: var( --e-global-color-accent );
    font-weight: 600;
		margin-bottom: 10px;
}

.jet-form-builder-repeater__row {
    display: block !important;
}

.days-start {
	font-size: 16px;
	font-weight: 500;
	line-height: 22px;
	color: #9DA3B5;
}

.jet-filter-items-dropdown__body {	
	top: 10px !important;
}

.listing-child {
    width: fit-content;
}

.listing-days *:not(span) {
	text-align: right !important;
}

.info-title {
	text-align: left !important;	
}

/*Скрываем родительские рейсы*/
.jet-listing-grid__item:has(.is-parent) {
	display: none;
}

.bus-wrapper {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-orient: vertical;
	-webkit-box-direction: normal;
	-ms-flex-direction: column;
	flex-direction: column;
	padding-bottom: 10px;
	width: 130px;
}

.bus-cart .jet-listing-dynamic-repeater__item:not(:last-child) {
	margin-right: 20px;
}

.bus-wrapper-city-bottom,
.bus-wrapper-city-top,
.bus-wrapper-time {
	-ms-flex-item-align: baseline;
	align-self: baseline;
}

.bus-wrapper-time {
	font-size: 16px;
	font-weight: 500;
}

.bus-wrapper-city-bottom,
.bus-wrapper-city-top {
	font-size: 12px;
}

.bus-cart {
	overflow-x: auto;
}

.bus-cart::-webkit-scrollbar {
	height: 2px;
	/* высота для горизонтального скролла */
	background-color: #9197A6;
}

/* ползунок скроллбара */
.bus-cart::-webkit-scrollbar-thumb {
	background-color: black !important;
}


/*В листинге расписания планшет*/
@media screen and (min-width:768px) and (max-width:1024px){
	.watch-map-flex{
		justify-content: flex-end;
	}
	}
	
	@media(max-width: 767px) {
	.timetable-upper .work-hours {
		display: flex;
		justify-content: center;
	}
	}
	
	@media screen and (max-width:1024px){
	.btn_arrow {
		position:relative !important ;
	}
	}
	
	@media(max-width: 1024px) {
	.timetable-lower .btn_arrow {
		position:absolute !important;
		left: auto !important;
		right: calc(-110%) !important;
	}
	}
	
	@media(max-width: 767px) {
	.timetable-lower .btn_arrow {
		position: static !important;
	}
	}
	
	@media(min-width: 1025px) {
		.route-details .bus-cart {
		width: calc(100% - 140px);
		}
	}

/*Листинг карточки рейса*/
.card-wrap.route-details {
	-webkit-transition: .3s ease;
	-o-transition: .3s ease;
	transition: .3s ease;
}  
  /* Секция подкладка в листинге*/
 
.route-details {
	display: none !important;
}

.route-details.route-details_visible {
	display: flex !important;
}

.jet-listing-grid__item:not(:has(.bus-wrapper-time)) .toggle-details {
	display: none !important;
}